%define upstream_name	 Apache-AuthCookie
%define upstream_version 3.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Perl Authentication and Authorization via cookies
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	apache-mod_perl
BuildRequires:	perl-libwww-perl
BuildRequires:	perl-CGI
BuildRequires:	perl(Apache::Test) >= 1.25
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Apache::AuthCookie allows you to intercept a user's first unauthenticated
access to a protected document. The user will be presented with a custom
form where they can enter authentication credentials. The credentials are
posted to the server where AuthCookie verifies them and returns a session
key.

The session key is returned to the user's browser as a cookie. As a cookie,
the browser will pass the session key on every subsequent accesses.
AuthCookie will verify the session key and re-authenticate the user.

All you have to do is write a custom module that inherits from AuthCookie.
See the POD documentation for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
export APACHE_TEST_HTTPD=%{_sbindir}/httpd
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Apache2
%{_mandir}/*/*


%changelog
* Sun Jan 30 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.180.0-1mdv2011.0
+ Revision: 634188
- update to new version 3.18

* Tue Aug 31 2010 Jérôme Quelin <jquelin@mandriva.org> 3.150.0-1mdv2011.0
+ Revision: 574780
- update to 3.15

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 3.140.0-1mdv2011.0
+ Revision: 536127
- update to 3.14

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 3.120.0-1mdv2010.0
+ Revision: 402963
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.12-2mdv2009.0
+ Revision: 268365
- rebuild early 2009.0 package (before pixel changes)

* Sun May 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.12-1mdv2009.0
+ Revision: 211180
- fix build dependencies
- new version

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 3.11-1mdv2008.1
+ Revision: 177285
- update to new version 3.11

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.10-1mdv2007.0
- New version 3.10
- spec cleanup
- fix directory ownership

* Mon May 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.09-1mdk
- 3.09

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.08-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3.08-1mdk
- initial Mandriva package

